QGIS Application - Bug report #19077
Attribute table empty on OGR layers with mixed geometry types
2018-05-31 10:33 PM - Even Rouault

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Processing/OGR

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26907
Description

If opening the Aegan layer of the test.gpkg of #19009 , with its Point or Polygon sublayer, the attribute table is empty;

Associated revisions

Revision ee06d524 - 2018-05-31 11:05 PM - Even Rouault

[OGR provider] Avoid attribute table to be empty on OGR layer with mixed geom types (fixes #19077)

Revision efa7f99b - 2018-05-31 11:51 PM - Even Rouault

Merge pull request #7132 from rouault/fix_19077_bis

[OGR provider] Avoid attribute table to be empty on OGR layer with mixed geom types (fixes #19077)

History

#1 - 2018-05-31 11:50 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|ee06d52421edfb1b98ccc29ff1d183eeb2adcfic.

#2 - 2018-06-03 09:02 PM - Jiirgen Fischer
- Description updated
